export const sqlCode = `
SELECT
T2.project_warning_title as warn_type,
T1.main_reason as warn_title,
T1.create_time as warn_time
FROM (
SELECT
    project_warning_id,
    create_time,
    main_reason
FROM
    warning_list
WHERE
    warning_level &lt; 2
)T1
INNER JOIN 
warning_aplication T2
ON
T1.project_warning_id = T2.project_warning_id
WHERE
T1.create_time BETWEEN current_date::timestamp and current_date::timestamp + '1 days'
ORDER BY 
T1.create_time desc`
export const dockCode = `<AMIS_ASYNC_RS rec_id="query_detail" async_id="query_detail" amis_path="body/1/api/url" >
</AMIS_ASYNC_RS>`
export const jsonCode = `
{
    "type": "page",
    "id": "u:7d4e7d100425",
    "aside": [],
    "showHeader": true,
    "body": [
      {
        "api":{
          "url":"/chat/chat_async_query"
        }
      },

      {
        "type": "container",
        "body": [
          {
            "type": "tpl",
            "tpl": "aaaaaa-\${data}",
            "inline": true,
            "wrapperComponent": "",
            "id": "u:5919b609704e"
          }
        ],
        "style": {
          "position": "relative",
          "display": "flex",
          "inset": "auto",
          "flexWrap": "nowrap",
          "flexDirection": "column",
          "alignItems": "flex-start"
        },
        "size": "none",
        "wrapperBody": false,
        "id": "u:3e0a8e524d99",
        "isFixedHeight": false,
        "isFixedWidth": false
      },
      {
        "id": "u:08a4093f293a",
        "type": "crud2",
        "mode": "table2",
        "dsType": "api",
        "syncLocation": true,
        "primaryField": "id",
        "loadType": "pagination",
        "headerToolbar": [
          {
            "type": "flex",
            "direction": "row",
            "justify": "flex-start",
            "alignItems": "stretch",
            "style": {
              "position": "static"
            },
            "items": [
              {
                "type": "container",
                "align": "left",
                "behavior": [
                  "Insert",
                  "BulkEdit",
                  "BulkDelete"
                ],
                "body": [],
                "wrapperBody": false,
                "style": {
                  "flexGrow": 1,
                  "flex": "1 1 auto",
                  "position": "static",
                  "display": "flex",
                  "flexDirection": "row",
                  "flexWrap": "nowrap",
                  "alignItems": "stretch",
                  "justifyContent": "flex-start"
                },
                "id": "u:cfa5198c01d0",
                "isFixedHeight": false
              },
              {
                "type": "container",
                "align": "right",
                "behavior": [
                  "FuzzyQuery"
                ],
                "body": [],
                "wrapperBody": false,
                "style": {
                  "flexGrow": 1,
                  "flex": "1 1 auto",
                  "position": "static",
                  "display": "flex",
                  "flexBasis": "auto",
                  "flexDirection": "row",
                  "flexWrap": "nowrap",
                  "alignItems": "stretch",
                  "justifyContent": "flex-end"
                },
                "id": "u:8240ece98ea3"
              }
            ],
            "id": "u:8d85e56d6cba"
          }
        ],
        "footerToolbar": [
          {
            "type": "flex",
            "direction": "row",
            "justify": "flex-start",
            "alignItems": "stretch",
            "style": {
              "position": "static"
            },
            "items": [
              {
                "type": "container",
                "align": "left",
                "body": [],
                "wrapperBody": false,
                "style": {
                  "flexGrow": 1,
                  "flex": "1 1 auto",
                  "position": "static",
                  "display": "flex",
                  "flexBasis": "auto",
                  "flexDirection": "row",
                  "flexWrap": "nowrap",
                  "alignItems": "stretch",
                  "justifyContent": "flex-start"
                },
                "id": "u:49ada3312cd1"
              },
              {
                "type": "container",
                "align": "right",
                "body": [
                  {
                    "type": "pagination",
                    "behavior": "Pagination",
                    "layout": [
                      "total",
                      "perPage",
                      "pager"
                    ],
                    "perPage": 10,
                    "perPageAvailable": [
                      10,
                      20,
                      50,
                      100
                    ],
                    "align": "right",
                    "id": "u:33382e12a22c"
                  }
                ],
                "wrapperBody": false,
                "style": {
                  "flexGrow": 1,
                  "flex": "1 1 auto",
                  "position": "static",
                  "display": "flex",
                  "flexBasis": "auto",
                  "flexDirection": "row",
                  "flexWrap": "nowrap",
                  "alignItems": "stretch",
                  "justifyContent": "flex-end"
                },
                "id": "u:a24e53913518"
              }
            ],
            "id": "u:a9e46ad78f75"
          }
        ],
        "columns": [
          {
            "type": "tpl",
            "title": "警告类型",
            "name": "warn_type",
            "id": "u:eb57b889aedf"
          },
          {
            "type": "tpl",
            "title": "警告内容",
            "name": "warn_title",
            "id": "u:cf0ff1dc91a1"
          },
          {
            "type": "date",
            "title": "警告时间",
            "name": "warn_time",
            "id": "u:18f8ba839a8e"
          }
        ],
        "editorSetting": {
          "mock": {
            "enable": true,
            "maxDisplayRows": 5
          }
        },
        "api": {
          "url": "aaaaa",
          "method": "get",
          "requestAdaptor": "",
          "adaptor": "",
          "messages": {}
        },
        "loadDataOnce": true
      }
    ],
    "asideResizor": false,
    "pullRefresh": {
      "disabled": true
    },
    "regions": [
      "body"
    ]
  } `